---
title: PaymentMethodChangeEvent
slug: Web/API/PaymentMethodChangeEvent
tags:
  - API
  - Interface
  - Payment Handler
  - Payment Request
  - Payment Request API
  - PaymentRequestUpdateEvent
  - Reference
  - Secure context
  - payment
---
<div>{{securecontext_header}}{{APIRef("Payment Request API")}}</div>

<p>The <strong><code>PaymentMethodChangeEvent</code></strong> interface of the <a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a> describes the {{domxref("PaymentRequest/paymentmethodchange_event", "paymentmethodchange")}} event which is fired by some payment handlers when the user switches payment instruments (e.g., a user selects a "store" card to make a purchase while using Apple Pay).</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("PaymentMethodChangeEvent.PaymentMethodChangeEvent", "PaymentMethodChangeEvent()")}}</dt>
 <dd>Creates and returns a new <code>PaymentMethodChangeEvent</code> object, optionally initialized with values taken from a given {{domxref("PaymentMethodChangeEventInit")}} dictionary.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>In addition to the properties below, this interface includes properties inherited from {{domxref("PaymentRequestUpdateEvent")}}.</em></p>

<dl>
 <dt>{{domxref("PaymentMethodChangeEvent.methodDetails", "methodDetails")}} {{ReadOnlyInline}} {{securecontext_inline}}</dt>
 <dd>An object containing payment method-specific data useful when handling a payment method change. If no such information is available, this value is <code>null</code>.</dd>
 <dt>{{domxref("PaymentMethodChangeEvent.methodName", "methodName")}} {{ReadOnlyInline}} {{securecontext_inline}}</dt>
 <dd>A {{domxref("DOMString")}} containing the payment method identifier, a string which uniquely identifies a particular payment method. This identifier is usually a URL used during the payment process, but may be a standardized non-URL string as well, such as <code>basic-card</code>. The default value is the empty string, <code>""</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface includes methods inherited from {{domxref("PaymentRequestUpdateEvent")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#paymentmethodchangeevent-interface','PaymentMethodChangeEvent')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentMethodChangeEvent")}}</p>
</div>
